<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setTailMinimized](./bitburner.userinterface.settailminimized.md)

## UserInterface.setTailMinimized() method

Minimize or expand the tail window of a script.

**Signature:**

```typescript
setTailMinimized(minimized: boolean, pid?: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

minimized


</td><td>

boolean


</td><td>


</td></tr>
<tr><td>

pid


</td><td>

number


</td><td>

_(Optional)_ Optional. The PID of the script. If omitted, the current script is used.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

Equivalent to pressing the "Minimize"/"Expand" button on the tail window.

If called without arguments, this function minimizes/expands the tail window of the current script. If a PID is provided, it minimizes/expands the tail window of the specified script instead.

